<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.OJTGUploadTaskListMapper">

    <update id="installUpdateuploadTaskList" parameterType="com.zfire.jiasm.syncdata.parameter.InstallUpdatePar">
        update out_jiasm_to_gree_upload_task_list
            set syn_status = 99,syn_time = NOW(),syn_err_msg = concat('syn_req_id = ', #{request.synReqId}, '当前任务被忽略')
        where order_no = #{request.orderNo} and upload_task_type = #{request.uploadTaskType}
            and syn_status = 0 and syn_req_id &lt; #{request.synReqId}
    </update>


</mapper>
